Subject: bug#5080: indic text is not displayed correctly in emacs shell

From: Parag Nemade <[email-masked]>
Date: Tue, 01 Dec 2009 11:09:36 +0530

On Tuesday 01 December 2009 10:55 AM, Kenichi Handa wrote:
> In article<[email-masked]>, Parag Nemade<[email-masked]>  writes:
>
>    
>>> It seems that the coding system for your shell buffer is
>>> iso-8859-1.  In which locale did you invoke Emacs?  And
>>> please try to change the coding system for the shell buffer
>>> to utf-8 (C-x C-m p utf-8 RET utf-8 RET) and run ls and cat
>>> again.
>>>
>>>
>>>        
>>     I start emacs in English locale and then shell buffer and write some
>> Indic text there and found rendering is broken but when same text is
>> copied to gedit its rendering correctly.
>>     I did what you asked and found still rendering broken with utf-8. I
>> even tried to run emacs in Marathi locale and see if it renders
>> correctly but still when I did cat marathi.txt, the contents printed in
>> shell have wrong rendering.
>>     I am using Fedora 12 emacs-23.1-10.fc12 rpm.
>>      
> In this case, which do you mean by "wrong rendering"?
>
> (1) As Praveen originally reported, Latin characters and
> some binary characters (\2xx) are shown instead of Indic
> (devanagari?, malayalam?) charactes.
>    
That is why I sent you my problem separately and I am not sure how its 
related to what Praveen has reported. Let Praveen answer your query first.

> (2) Indic characters are shown but with wrong rendering.
>    
      For me conjuncts are rendered as separately which is wrong which 
can be seen in screenshot I sent you already with comparison to gedit 
rendering.

Regards,
Parag.